Sumar textos Numericos PIES-PULGADAS

Ir abajo

Sumar textos Numericos PIES-PULGADAS

Mensaje por saulo2016 el Vie Oct 05, 2018 1:01 am

Hola a Todos los Masters del Foro.

Ahora tengo este problema, quiero sumar varios textos numericos pero sus unidades estan en PIES-PULGADAS.

Necesito saber si alguien ya tiene alguna rutina que haga esto.





Saludos
avatar
saulo2016

Mensajes : 152
Fecha de inscripción : 17/03/2016
Edad : 52
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Sumar textos Numericos PIES-PULGADAS

Mensaje por Admin el Sáb Oct 06, 2018 1:57 am

saulo2016 escribió:Hola a Todos los Masters del Foro.

Ahora tengo este problema, quiero sumar varios textos numericos pero sus unidades estan en PIES-PULGADAS.

Necesito saber si alguien ya tiene alguna rutina que haga esto.


Sube un ejemplo.dwg







Saludos

Admin
Admin

Mensajes : 194
Fecha de inscripción : 16/03/2016
Edad : 70
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Sumar textos Numericos PIES-PULGADAS

Mensaje por saulo2016 el Lun Oct 08, 2018 10:37 pm

Gracias por responder a mi duda.

Aqui dejo un ejemplo que yo consegui alguna vez, de un LISP que hace sumatorias de textos numericos, pero este trabaja solo con unidades decimales y el que yo necesito (si es que es posible) es que sume pies'-pulgadas"....

Ojala y me pueda explicar claramente.....

ejemplo:
Código:
; Suma todos los textos elegidos, que comiencen con números.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq altutexto 2)
(setq deccimales 2)
(setq prefij "TOTAL APROX. = ")
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun fnum (num)
  (setq int (rtos num 2 deccimales))
  (setq pos (vl-string-search "." int))
  (setq pos (if pos
              pos
              (strlen int)
            )
  )
  (setq fp (substr int (+ pos 2) (strlen int)))
  (setq int (substr int 1 pos))
  (while (< (strlen fp) deccimales) (setq fp (strcat fp "0")))
  (repeat (/ pos 3)
    (setq int (strcat (substr int 1 (- pos 3)) "," (substr int (- pos 2) (strlen int)))
          pos (- pos 3)
    )
  )
  (vl-string-left-trim
    ","
    (if (zerop deccimales)
      int
      (strcat int "." fp)
    )
  )
)


(defun insertartexto ()
  (if (null (tblobjname "STYLE" "ROMANS"))
    (entmake '((0 . "STYLE")
               (100 . "AcDbSymbolTableRecord")
               (100 . "AcDbTextStyleTableRecord")
               (2 . "ROMANS")
               (70 . 0)
               (40 . 0.20)
               (3 . "Romans.shx")
              )
    )
  )
  (if (null (tblobjname "LAYER" "TEX"))
    (entmake '((0 . "LAYER")
               (100 . "AcDbSymbolTableRecord")
               (100 . "AcDbLayerTableRecord")
               (2 . "TEX")
               (70 . 0)
               (62 . 10)
               (370 . -3)
              )
    )
  )
  (setq ptotexto (getpoint (strcat "\nIndica donde colocar el texto>:")))
  (entmake (list '(0 . "TEXT")
                 '(100 . "AcDbEntity")
                 '(8 . "TEX")
                 '(100 . "AcDbText")
                 '(62 . 256)
                 '(10 0.0 0.0 0.0)
                 (cons 40 altutexto)
                 (cons 1 (strcat prefij (fnum sumatotaltextos)))
                 (cons 50 0.0)
                 '(41 . 1)
                 '(51 . 0.0)
                 '(7 . "ROMANS")
                 '(72 . 0)
                 (cons 11 ptotexto)
                 '(210 0.0 0.0 1.0)
                 '(100 . "AcDbText")
                 '(73 . 1)
           )
  )
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:stt ()
  (setq sumatotaltextos 0)
  (prompt "\n* TEXTOS a sumar: ")
  (setq texto_obj (ssget '((0 . "*TEXT"))))
  (if (/= texto_obj nil)
    (progn (setq texto_obj_longitud (sslength texto_obj))
           (setq ord 0)
           (repeat texto_obj_longitud
             (setq texto_nom (ssname texto_obj ord))
             (setq sumatotaltextos
                    (+ sumatotaltextos
                       (atof (vl-string-subst "" "," (cdr (assoc 1 (entget texto_nom)))))
                    )
             )
             (setq ord (1+ ord))
           )
    )
  )
  (insertartexto)
  (princ)
)


Saludos
avatar
saulo2016

Mensajes : 152
Fecha de inscripción : 17/03/2016
Edad : 52
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Sumar textos Numericos PIES-PULGADAS

Mensaje por Admin el Mar Oct 09, 2018 12:37 pm

Por favor , sube un ejemplo.dwg con los textos . Puedes subirlos como zip

Admin
Admin

Mensajes : 194
Fecha de inscripción : 16/03/2016
Edad : 70
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Sumar textos Numericos PIES-PULGADAS

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.